import { Motion } from '@capacitor/motion';
import { saveMotionInfo } from './save-motion-info';
/**
 * Subscribes to acceleration changes and saves them to Deep
 *
 * @remarks
 * Motion permissions should be granted before calling this function by using {@link requestMotionPermissions}
 * Acceleration data is saved to Deep by using {@link saveMotionInfo}
 */
export async function subscribeToAccelerationChanges({ deep, deviceLinkId, }) {
    console.log('subscribeToAccelerationChanges');
    return Motion.addListener('accel', async (accelData) => {
        console.log('accelEvent', accelData);
        await saveMotionInfo({
            deep,
            deviceLinkId,
            info: accelData,
        });
    });
}
