import { Motion } from '@capacitor/motion';
import { saveMotionInfo } from './save-motion-info';
/**
 * Subscribes to orientation changes and saves them to Deep
 *
 * @remarks
 * Motion permissions should be granted before calling this function by using {@link requestMotionPermissions}
 * Orientation data is saved to Deep by using {@link saveMotionInfo}
 */
export async function subscribeToOrientationChanges({ deep, deviceLinkId, }) {
    return Motion.addListener('orientation', async (rotationRate) => {
        await saveMotionInfo({
            deep,
            deviceLinkId,
            info: {
                rotationRate,
            },
        });
    });
}
